Loading...
Searching...
No Matches
unity::shell::scopes::RangeInputFilterInterface Class Referenceabstract
Inheritance diagram for unity::shell::scopes::RangeInputFilterInterface:
[legend]
Collaboration diagram for unity::shell::scopes::RangeInputFilterInterface:
[legend]

## Signals

void | startValueChanged ()
void | endValueChanged ()
void | hasStartValueChanged ()
void | hasEndValueChanged ()
void | startPrefixLabelChanged ()
void | startPostfixLabelChanged ()
void | centralLabelChanged ()
void | endPrefixLabelChanged ()
void | endPostfixLabelChanged ()
Signals inherited from unity::shell::scopes::FilterBaseInterface
void | titleChanged ()

## Public Member Functions

FiltersInterface::FilterType | filterType () const override
virtual double | startValue () const =0
virtual double | endValue () const =0
virtual void | setStartValue (double value)=0
virtual void | setEndValue (double value)=0
virtual QString | startPrefixLabel () const =0
virtual QString | startPostfixLabel () const =0
virtual QString | centralLabel () const =0
virtual QString | endPrefixLabel () const =0
virtual QString | endPostfixLabel () const =0
virtual bool | hasStartValue () const =0
virtual bool | hasEndValue () const =0
virtual Q_INVOKABLE void | eraseStartValue ()=0
virtual Q_INVOKABLE void | eraseEndValue ()=0
Public Member Functions inherited from unity::shell::scopes::FilterBaseInterface
virtual QString | filterId () const =0
virtual QString | title () const =0
virtual QString | filterTag () const =0

## Properties

double | startValue
double | endValue
QString | startPrefixLabel
QString | startPostfixLabel
QString | centralLabel
QString | endPrefixLabel
QString | endPostfixLabel
bool | hasStartValue
bool | hasEndValue
Properties inherited from unity::shell::scopes::FilterBaseInterface
QString | filterId
QString | title
unity::shell::scopes::FiltersInterface::FilterType | filterType

## Member Function Documentation

## filterType()

FiltersInterface::FilterType unity::shell::scopes::RangeInputFilterInterface::filterType | ( |  | ) | const

inline override virtual

Implements unity::shell::scopes::FilterBaseInterface.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/RangeInputFilterInterface.h